members.dev
Docs
Events

List Events

Lists Events

GET
/v1/events

Authorization

HTTPBearer
AuthorizationBearer <token>

In: header

Query Parameters

single_events?boolean

Expand recurring events into instances.

Defaultfalse
starts_at?|

Inclusive schedule range start.

ends_at?|

Exclusive schedule range end.

tags?array<>|

Filter by tag. Multiple values are OR'd.

hosts?array<>|

Filter by Event Host ID. Multiple values are OR'd.

resource_id?|

Filter by linked Event Resource ID.

Header Parameters

Members-Context?string

Members organization id (org_…) when the client has multiple organizations.

Default""

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://api.members.dev/v1/events"
[
  {
    "id": "string",
    "name": "string",
    "description": "string",
    "starts_at_local": null,
    "ends_at_local": null,
    "timezone": "string",
    "status": "confirmed",
    "state_transitions": {
      "cancelled_at": {}
    },
    "portal": {
      "is_member_visible": true
    },
    "recurring_event_id": "string",
    "original_starts_at_local": {},
    "recurrence": [
      "string"
    ],
    "pricing_rules": [
      {
        "id": "string",
        "name": "string",
        "benefits_required": [
          "string"
        ],
        "amount": 0,
        "deductions": [
          {
            "benefit": "string",
            "count": 0
          }
        ],
        "cancellation_policy_id": "string",
        "cancellation_policy": {
          "id": "string",
          "name": "string",
          "is_default": true,
          "tiers": [
            {
              "id": "string",
              "hours_before_start": 0,
              "allow_cancel": true,
              "refund_percent": 0,
              "fee_amount": 0,
              "refund_deductions": false
            }
          ],
          "archived_at": {},
          "created_at": null,
          "updated_at": null
        }
      }
    ],
    "pricing_options": [
      {
        "id": "string",
        "name": "string",
        "benefits_required": [
          "string"
        ],
        "amount": 0,
        "deductions": [
          {
            "benefit": "string",
            "count": 0
          }
        ],
        "cancellation_policy_id": "string",
        "cancellation_policy": {
          "id": "string",
          "name": "string",
          "is_default": true,
          "tiers": [
            {
              "id": "string",
              "hours_before_start": 0,
              "allow_cancel": true,
              "refund_percent": 0,
              "fee_amount": 0,
              "refund_deductions": false
            }
          ],
          "archived_at": {},
          "created_at": null,
          "updated_at": null
        },
        "is_available": true,
        "unavailable_reason": "string"
      }
    ],
    "tags": [
      "string"
    ],
    "hosts": [
      {
        "id": "string",
        "name": "string",
        "description": "string",
        "image_url": "string",
        "archived_at": {},
        "created_at": null,
        "updated_at": null
      }
    ],
    "event_image_urls": [
      "string"
    ],
    "location": {
      "id": "string",
      "name": "string",
      "formatted_address": "string",
      "url": "string",
      "instructions": "string",
      "google_place_id": "string",
      "archived_at": {},
      "created_at": null,
      "updated_at": null
    },
    "capacity": 0,
    "resource_ids": [
      "string"
    ],
    "cancellation_policy_id": "string",
    "cancellation_policy": {
      "id": "string",
      "name": "string",
      "is_default": true,
      "tiers": [
        {
          "id": "string",
          "hours_before_start": 0,
          "allow_cancel": true,
          "refund_percent": 0,
          "fee_amount": 0,
          "refund_deductions": false
        }
      ],
      "archived_at": {},
      "created_at": null,
      "updated_at": null
    },
    "slot_duration_minutes": 0,
    "slot_interval_minutes": 0,
    "bookings_count": 0,
    "slots": [
      {
        "starts_at_local": null,
        "ends_at_local": null,
        "max_capacity": 0,
        "remaining_capacity": 0,
        "bookings_count": 0,
        "is_bookable": true,
        "resources": [
          {
            "resource_id": "string",
            "max_capacity": 0,
            "remaining_capacity": 0,
            "bookings_count": 0,
            "is_bookable": true
          }
        ]
      }
    ]
  }
]
{
  "type": "https://api.members.dev/errors/invalid_credentials",
  "title": "Invalid credentials",
  "status": 401,
  "detail": "Invalid API Key or token.",
  "code": "invalid_credentials"
}
{
  "type": "https://api.members.dev/errors/not_linked_to_tenant",
  "title": "Not linked to tenant",
  "status": 403,
  "detail": "Not linked to this tenant",
  "code": "not_linked_to_tenant"
}
{
  "type": "https://api.members.dev/errors/member_not_found",
  "title": "Member not found",
  "status": 404,
  "detail": "No member exists with the given id in this organization.",
  "code": "member_not_found"
}
{
  "type": "https://api.members.dev/errors/members_context_required",
  "title": "Members context required",
  "status": 422,
  "detail": "This client has multiple organizations. Send the Members-Context header with the organization id (org_…) for this request.",
  "code": "members_context_required"
}
{
  "type": "https://api.members.dev/errors/rate_limit_exceeded",
  "title": "Rate limit exceeded",
  "status": 429,
  "detail": "Rate limit exceeded",
  "code": "rate_limit_exceeded"
}